if (app) {
    try {
        MainCatch();
    } catch (e) {

    }
}

function MainCatch() {
    function Action10() {
        function step1(enabled, withDialog) {
            if (enabled != undefined && !enabled) {
                return;
            }
            var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
            var desc1 = new ActionDescriptor();
            desc1.putString(cTID("CMod"), "Filter");
            desc1.putEnumerated(cTID("Sett"), cTID("Sett"), cTID("Defa"));
            executeAction(sTID("Adobe Camera Raw Filter"), desc1, dialogMode);
        }
        step1(true, true);
    }
    cTID = function(s) {
        return app.charIDToTypeID(s);
    };
    sTID = function(s) {
        return app.stringIDToTypeID(s);
    };
    Action10.loadSymbols = function() {
        var dbgLevel = $.level;
        $.level = 0;
        try {
            PSConstants;
            return;
        } catch (e) {

        } finally {
            $.level = dbgLevel;
        }
        var needDefs = true;
        $.level = 0;
        try {
            PSClass;
            needDefs = false;
        } catch (e) {

        } finally {
            $.level = dbgLevel;
        }
        if (needDefs) {
            PSClass = function() {

            };
            PSEnum = function() {

            };
            PSEvent = function() {

            };
            PSForm = function() {

            };
            PSKey = function() {

            };
            PSType = function() {

            };
            PSUnit = function() {

            };
            PSString = function() {

            };
        }
    };
    Action10.loadSymbols();
    Action10.main = function() {
        Action10();
    };
    Action10.main();
}